NX Open C++ Reference Guide
|
Represents the View Boundary (Drawings.ViewBoundaryBuilder) More...
Public Types | |
enum | Type { TypeAutomatic, TypeManual, TypeBreakLine, TypeBound } |
The view boundary type. More... | |
Public Member Functions | |
NXOpen::Point * | BoundaryPoint1 () |
Returns the first corner point Created in NX6.0.0. | |
NXOpen::Point * | BoundaryPoint2 () |
Returns the second corner point Created in NX6.0.0. | |
NXOpen::Drawings::ViewBoundaryBuilder::Type | BoundaryType () |
Returns the orientation type Created in NX6.0.0. | |
void | SetBoundaryPoint1 (NXOpen::Point *boundaryPoint1) |
Sets the first corner point Created in NX6.0.0. | |
void | SetBoundaryPoint2 (NXOpen::Point *boundaryPoint2) |
Sets the second corner point Created in NX6.0.0. | |
void | SetBoundaryType (NXOpen::Drawings::ViewBoundaryBuilder::Type type) |
Sets the orientation type Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents the View Boundary (Drawings.ViewBoundaryBuilder)
Created in NX6.0.0.
NXOpen::Point* NXOpen::Drawings::ViewBoundaryBuilder::BoundaryPoint1 | ( | ) |
Returns the first corner point
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Drawings::ViewBoundaryBuilder::BoundaryPoint2 | ( | ) |
Returns the second corner point
Created in NX6.0.0.
License requirements : None
NXOpen::Drawings::ViewBoundaryBuilder::Type NXOpen::Drawings::ViewBoundaryBuilder::BoundaryType | ( | ) |
Returns the orientation type
Created in NX6.0.0.
License requirements : None
void NXOpen::Drawings::ViewBoundaryBuilder::SetBoundaryPoint1 | ( | NXOpen::Point * | boundaryPoint1 | ) |
Sets the first corner point
Created in NX6.0.0.
License requirements : nx_drafting_plus ("DraftingPlus")
boundaryPoint1 | boundarypoint1 |
void NXOpen::Drawings::ViewBoundaryBuilder::SetBoundaryPoint2 | ( | NXOpen::Point * | boundaryPoint2 | ) |
Sets the second corner point
Created in NX6.0.0.
License requirements : nx_drafting_plus ("DraftingPlus")
boundaryPoint2 | boundarypoint2 |
void NXOpen::Drawings::ViewBoundaryBuilder::SetBoundaryType | ( | NXOpen::Drawings::ViewBoundaryBuilder::Type | type | ) |
Sets the orientation type
Created in NX6.0.0.
License requirements : nx_drafting_plus ("DraftingPlus")
type | sets the boundary type. |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.